7 August 2026
Changes between 2 July and 7 August 2026
Card issuing - Cards
New
You can now use Visa’s Automatic Updater (VAU) and Mastercard’s Automatic Billing Updater (ABU) as described in the new Automatic updater guide. The new API section Card issuing - Cards > Automatic updater includes the following two new endpoints.
- Automatic updater opt-out allows you to opt a card out of Visa’s Automatic Updater (VAU) or Mastercard’s Automatic Billing Updater (ABU).
- Visa automatic updater opt-in allows you to opt a card into VAU.
Card issuing - Disputes
New
There is a new Visa dispute use case guide. It provides a detailed, real-world walkthrough of a Visa fraud dispute going through the full lifecycle on the Pismo platform, including every API call, state machine transition, and event generated.
Card issuing - Statements
New
Five new program calendar strategies are available:
MONTHLY_CYCLE_CLOSINGMONTHLY_DUE_DATEWEEKLY_CYCLE_CLOSINGWEEKLY_DUE_DATEDAILY_CYCLE_CLOSINGDAILY_DUE_DATE
These strategies were added to the following endpoints:
- Create program calendar strategy - The body params begin with a drop-down list that enables you to select the calendar strategy. Previously,
FIXED_CYCLE_CLOSINGwas the only option. The new strategies were added to the list. - List program calendar strategies - The
strategybody parameter includes new options. - Get program calendar strategy - Can return one of the new strategies.
- Update program calendar strategy - The body parameters begin with a drop-down list that enables you to select the calendar strategy. Previously,
FIXED_CYCLE_CLOSINGwas the only option. The new strategies were added to the list.
The following new guides have been published to address the new calendar strategies:
- Monthly cycle closing calendar management strategy
- Montly due date calendar management strategy
- Weekly cycle closing calendar management strategy
- Weekly due date calendar management strategy
- Daily cycle closing calendar management strategy
- Daily due date calendar management strategy
- Reproducing the behavior of the fixed due date strategy
New
You now have the option of customizing the discharge process as described in the new Discharging transactions guide. The original discharge process is being maintained, insuring backward compatibility. The Discharging transactions section of the Full balance credit program guide was updated accordingly.
Control Center
New
Card embossing is available in Control Center. With this new feature, you can:
- Add existing embossing configurations to your programs
- Adjust some settings, such as embossing schedules and aliases
Core platform - Balance configurations
New
The new Balance configuration filter templates guide provides step-by-step guidance how to create and manage filter templates via the new filter templates endpoints and use them in balance configurations. It also explains how to maintain and update filter logic efficiently.
Resources - Pismo API testing overview
New
A new guide, Access Pismo OpenAPI files on GitHub enables access to up-to-date OpenAPI specification files. In conjunction, the Pismo API testing overview guide was updated and provides information about ways to test Pismo APIs, including OpenAPI and Postman. The Access Pismo Postman collections was updated to accommodate the new Pismo API testing overview structure.
General
Docs
The descriptions of the metadata field were updated throughout the Developers Portal documentation to indicate that this field must not be used to send Personally Identifiable Information (PII), Payment Card Industry (PCI) data, or any sensitive/regulated information.
Docs
The supplementary UI icons were removed from the following guides to maintain style consistency and standards throughout the portal:
Accounts
Updated
In the Create account application endpoint, the is_centralizer boolean field was removed from the main account application object and moved to the account object and renamed centralizer. A centralizer account, within the account hierarchy, is the account responsible for invoice billing.
Client webhooks
New
A new request field, disableToken, was added to the Full balance anti-fraud webhook. This new field reflects the new token validation workflow within authorization processing and indicates when token validation has been bypassed. For the newly supported token types (Visa: 06 and Mastercard: V), Pismo will skip token validation as these tokens are not stored in the Pismo database.
Docs
The Client webhooks guide was updated to clarify the Zero balance validation webhook request field amount_transaction description and to properly indicate that the field is conditional and is only required when data is available.
Fee management
Docs
The Over-limit fees guide was updated to fix a couple of incorrect reference links.
Holidays
New
The List holidays endpoint has been updated with the following query parameters:
name- Holiday calendar name filterbeginDate- Return holiday calendars created after or on this dateendDate- Return holiday calendars created before or on this datepage- Return this page of dataperPage- Return this number of results per pageorder- Return results in ascending or descending orderorderBy- Field to order returned results oninclude_parent_holidays- Should holidays from parent calendars be returned?
Migrations
Updated
The new corporate_account object was added to the Migrate accounts endpoint and includes fields like status, account_status_reason_ext_id, and inactive_since. This additional object is related to corporate banking accounts.
Docs
The Migrations > Statements section was updated to relay statement moving window from 42 cycles to 120 cycles.
Docs
In the Migrate cards endpoint, the status body parameter was updated to show all possible enum values and to state that it is the card status at migration, not the card migration status.
Docs
In the Migrate accounts endpoint, the creation_date body parameter was updated to show that it can accept either YYYY-MM-DD or YYYY-MM-DDTHH:DD:SSZ.
Docs
In the Migrate tokens endpoint, the card_holder_name field was updated to indicate that you pass SKIP NETWORK CALL to bypass network validation during sandbox testing.
Docs
In the Migrate accounts Go-live endpoint, the following updates were made.
- The
statusfield enum values were updated to not show aMIGRATEDoption because this endpoint is intended for accounts not yet migrated. - The
ACCOUNTenum option was added to thetypefield.
Rates and fees
Docs
The Create simulation configuration endpoint was updated to include a more complete payload and to clarify the two options for the day_count_method field: MONTH_30_YEAR_360 and MONTH_ACTUAL_YEAR_365.
Rule models
Docs
In the Apply endpoints, the model ID field was incorrectly listed as modelId. It was changed to model_id.
Security
Updated
Creation of permission groups to control access to Pismo API endpoints for OIDC authentication can now be done directly through the Control Center. The Authentication with OpenID Connect guide was updated to reflect this change. In addition, the Third-party authentication guide (previously named Third-party authentication for OIDC) was rewritten to include instructions for third-party authentication for all three server authentication types.
Updated
The Basic authentication with client credentials guide and the Authentication with OAuth2 guide were updated to include a section on Third-party authentication.
Docs
The Authentication with OpenID Connect guide was updated with clarifying information and claims examples used when generating your JSON web token (JWT).
Support
Docs
The SFTP event file integration tutorial was revised to introduce a quick-guide structure, add Service Desk routing instructions, and provide a copy-and-paste ticket template that includes required SSH public keys and IP addresses in CIDR /32 format.
Docs
The GCP Pub/Sub tutorial was updated to include a ticket template for Project ID and Topic Name, Service Desk routing guidance, and a streamlined quick-guide format.
Docs
The AWS S3 file integration tutorial was updated to include a ticket template for Account ID, IAM Role ARN, and prerequisite checks, Service Desk routing guidance, and a streamlined quick-guide format.
Docs
The AWS EventBridge tutorial was updated to include a ticket template for Account ID, EventBridge Bus ARN, and IAM Role ARN, Service Desk routing guidance, and a streamlined quick-guide format.
Docs
The Azure Service Bus tutorial was updated to include a ticket template for Tenant ID and Topic URL, Service Desk routing guidance, and a streamlined quick-guide format.
Docs
The GCP Cloud Storage file integration tutorial was updated to include a ticket template for Project ID and Bucket Name, Service Desk routing guidance, and a streamlined quick-guide format.
Docs
The Request a performance test tutorial was updated to correct outdated Jira Service Desk navigation instructions and ensure the request workflow matches the current ticket categories.
Docs
The Pismo data platform – HTTP integration guide (beta) was updated to add a ticket template and Service Desk routing guidance. The content was reorganized into a quick-guide format and documented the required request information: endpoint URL, certificate, certificate identifier, and maximum TPS.
Docs
The Setting up an additional event subscriber tutorial was updated to add a ticket template and Service Desk routing guidance. The content was reorganized into a quick-guide format and documented the required request information: source and destination organization IDs, delivery type, and cloud provider.
Docs
The Setting up event filtering guide was updated to include a ticket template, Service Desk routing information, and a quick-start guide for configuring event filters.
Docs
The Setting up real-time event delivery guide was updated to include a ticket template for setup requests, Service Desk routing information, and a streamlined quick-start guide format.
Transactions
Updated
In the Transaction created and Transaction updated events, the rates.type field max length was updated to be 40 instead of 30.
Updated
In the List transactions endpoint, the parameter PageSize is now allowed up to a maximum of 1000 records per page. If the PageSize parameter is not passed, the platform continues to consider PageSize = 100 as the default.
Events
Docs
The Event data documentation was updated to better align with Pismo events behaviors and provide more clarity around how data events are validated. The new section Event validation was also added.
Banking operations
New
New fields were added to the following endpoints.
- Create interest plan -
capitalization_frequencyandinterest_base_modelwas added to the request body parameters. - List Org interest plans -
capitalization_frequencyandinterest_base_modelwas added to the response. - Get interest plan -
capitalization_frequencyandinterest_base_modelwas added to the response. - Update account interest -
capitalization_frequencyto was added to the request body parameters. - Get account interest -
capitalization_frequencywas added to the response.
Updated
The interest_by_tiers object was added to body parameters of the Update account interest endpoint.
Updated
The Interest‑bearing accounts API now includes interest_capitalization_mode, which allows you to specify whether capitalized interest should be paid out to the payout account (PAYOUT) or reinvested into principal (REINVEST). This explicit setting replaces inference‑based behavior and applies across the following endpoints.
- Get account attachment
- Attach deposit to account
- Update deposit account attachment overrides
- Get program attachment
- Attach deposit product to program
- Update deposit program attachment overrides
Updated
The Open deposit account endpoint introduced the account_creation_datetime field, which allows you to create accounts with an earlier effective date. This enables retroactive deposits and back‑dated interest calculation.
Updated
The following new fields were added to the 201 response payload of the Open deposit account endpoint. They provide additional detail about the status of the newly created deposit account.
payout_accountmaturity_instructionspenalties
Updated
The following endpoints are no longer in beta release.
- Simulate penalty
- Get account attachment
- Attach deposit to account
- Get program attachment
- Attach deposit product to program
- Update deposit account attachment overrides
- Update deposit program attachment overrides
Updated
The following endpoints now include or return a notices object. This object lets you know that you may renew, withdraw, or modify deposit terms before the maturity date.
Updated
The description of grace_period_duration_days in the following endpoints was updated to clarify that the grace‑period expiration is scheduled using the account’s division timezone. The Pismo platform applies the parent division’s timezone when available, and defaults to UTC when no division timezone is defined:
Deprecated
The following endpoints were originally scheduled for decommission on 6 August 2026. Their decommission date for both test and production environments was updated to 6 November 2026. For details, refer to the API endpoint deprecation and removal schedule.
Deprecated
The following endpoints were decommissioned on 12 July 2026 and removed from the Interest-bearing accounts API.
POST /v1/deposits/:productId/accounts/:accountId/maturity-instructions/overridesPATCH /v1/deposits/:productId/accounts/:accountId/maturity-instructions/overridesDELETE /v1/deposits/:productId/accounts/:accountId/maturity-instructions/overridesGET /v1/deposits/accounts/:accountId/maturity-instructions/overrides
Docs
The descriptions for the body parameters fixed_interest_rate and margin_rate in Create interest plan were updated and the following text was removed: “Otherwise, the field is required”.
Docs
The “Banking - Interest management” section of the guides was renamed to “Banking - Interest management (B3)”. This is meant to indicate that the endpoints in this section should only be used by Brazilian Stock Exchange (B3) customers.
In addition “(B3 only)" was appended to the titles of the endpoints in that section (listed below), and a note was added to each endpoint description explaining that it should only be used by B3 customers.
- Create interest plan (B3 only)
- Get interest plan (B3 only)
- Get account interest (B3 only)
- Update account interest (B3 only)
- Configure benchmark rate (B3 only)
- Get Org benchmark rates (B3 only)
- Get specific benchmark rates (B3 only)
Docs
The field descriptions for fixed_interest_rate and margin_rate were updated. These fields appear in the following endpoints:
- Create interest plan (B3 only) (in body params)
- Get interest plan (B3 only) (in response)
- Get account interest (B3 only) (in response)
- Update account interest (B3 only) (in body params)
- Update account interest (in body params)
- Get account interest (in response)
- Create interest plan (in body params)
- List org interest plans (in response)
- Get interest plan (in response)
- Create interest plan version (in body params)
Docs
The field descriptions for previous_balance and current_balance were updated in the following endpoints:
- Get statement (in response)
- List statements (in response)
- List transaction balances (in
statementobject of response)
The description for current_balance was updated in the following endpoints:
- Create or update statement minimum amount due (in response)
- Get statement minimum amount due (in response)
Instant payments
New
A new endpoint - Get Pix client statistics - was added to the Pix management Anti-fraud section. This endpoint retrieves client account aggregated PIX statistics from BACEN DICT.
New
A new Pix endpoint - Get Pix transaction by client request ID - was added to the Pix payments Pix section. The client_request_id is the value passed in the Idempotency-Key header when creating a cashin (Pix-in) or cashout (Pix-out) transaction. This endpoint is useful when a Pix-out transfer request times out and the client does not yet have the end_to_end_id needed to query the transaction through the Get Pix transaction by end-to-end ID endpoint.
New
A new endpoint - List Pix participants - and a new section - Participants - was added to the Instant payments - Pix management API. The endpoint returns the list of all Pix participants (institutions) registered in the BCB DICT, including each participant's ISPB, institution name, type and Pix participation modality.
Updated
Faster Payment Systems API endpoint error messages were updated:
- EFPS009 - Transaction Not on Hold for Cancel was added to the 409 return from Cancel FPS inbound transaction
- EFPS0094 - Transaction Not on Hold for Cancel was removed from the 400 return from Release FPS inbound transaction
Payment rails
Updated
The “Reverse BACS direct credit outbound payment” endpoint was in beta and is now removed from production to rework the code.
Transaction banking
Updated
The new Update restriction endpoint is now available to enhance the restrict‑funds flow by allowing increase, release, and execution of restricted funds through a single request.
Updated
Two new 400 error messages are added to the Update bulk file endpoint. They alert you when an invalid bulkId is used or when the number of bulk header lines exceeds the allowed range.
WBUP0009: Invalid bulkId formatWBUP0010: Bulk header line exceeds maximum allowed length
Card network integration
Updated
Two new validation codes, CAT (Config API timeout) and RAT (Rates API timeout), were released and added to the Validation codes for authorization events guide. CAT indicates that authorization was denied because the Platform Config API did not respond within the configured timeout after all retries were exhausted. RAT indicates that authorization wad denied because the Rates API did not respond within the configured timeout after all retries were exhausted. Full definitions for these new validation codes were added to the Validation code definitions guide.
Docs
The definition for validation code FRE (Cryptogram data validation) was updated to clarify scenarios for this denial code. This update was made to the Validation code definitions guide.
Docs
The Consolidated file section of the Clearing/Base II guide was updated to include the paths of the generated consolidated clearing files.
Statements
Updated
The following guides were updated to include the five new program calendar strategies:
Updated
The x-program-id header was changed to program-id for the following endpoints.
- Create program transaction category
- List program transaction categories
- Update program transaction category
- List account transaction category rates
- List program transaction types
Updated
The deprecated endpoint “List statements” (GET /statements/v2/accounts/{accountId}/statements) was decommissioned. The replacement endpoint “List statements v3” (GET /statements-v2/v3/accounts/{accountId}/statements was renamed List statements.
Docs
The last paragraph of the Credit card cycles (billing periods) section was updated to fix an error. Originally, it said that every new account has a moving window of 42 cycles - one current cycle and 41 future cycles. This was corrected to 43 cycles - one current cycle and 42 future cycles.
Docs
The Credit liquidation guide was updated in the following ways.
- Corrected Step 4 of Closing delinquent accounts. The final status does not necessarily have to be
CLOSED. - Updated the final line of How to manually close a delinquent account for the same reason.
- Added a new section: How to stop statement cycles for a canceled account.
Docs
In the Update statements calendar endpoint documentation, a note was added to the endpoint description and the description of the account_default_program_due_date_id body parameter was updated.
Docs
The last sentence of the introductory section of the Credit liquidation guide was updated to: “An account that is overdue, meaning the MAD has not been paid by the due date, is called a delinquent account.” This was to clarify the meaning.
Docs
The description of the DELINQUENT_ACCOUNT_CLOSURE_DAYS parameter was updated in table in the Multivalue program parameters guide.
Tokenization
Docs
In the Card tokenization flow and events guide, the VTS token create example was updated and a new VTS token status update example event was added.
Visa Flexible Credentials
New
The enum values for control_type used in the Create rules endpoint was expanded to include the following values.
TCT_GLOBAL— Transaction control type (TCT) globalTCT_ATM_WITHDRAW— TCT ATM withdrawalTCT_AUTO_PAY— TCT autopayTCT_BRICK_AND_MORTAR— TCT brick and mortarTCT_CROSS_BORDER— TCT cross borderTCT_CONTACTLESS— TCT contactless cardMCT_ADULT_ENTERTAINMENT— Merchant category type (MCT) adult entertainmentMCT_AIRFARE— MCT airfareMCT_ALCOHOL— MCT alcoholMCT_APPAREL_AND_ACCESSORIES— MCT apparel and accessoriesMCT_AUTOMOTIVE— MCT automotiveMCT_CAR_RENTAL— MCT car rentalMCT_ELECTRONICS— MCT electronicsMCT_SPORT_AND_RECREATION— MCT sport and recreationMCT_GAMBLING— MCT gamblingMCT_GAS_AND_PETROLEUM— MCT gas and petroleumMCT_GROCERY— MCT groceryMCT_HOTEL_AND_LODGING— MCT hotel and lodgingMCT_HOUSEHOLD— MCT householdMCT_PERSONAL_CARE— MCT personal carMCT_SMOKE_AND_TOBACCO— MCT smoke and tobaccoMCT_DINING— MCT dining
Merchants
New
The following were added to the Merchant business category API.
- List business categories allows you to retrieve a list of configured business categories.
- Get business category allows you to get a business category using external codes.
Updated
The List transactions endpoint was updated to return monetary fields as JSON numbers instead of strings.
- Absent values now render as
null. - The
advanced_*fields were renamed toadvancement_*throughout.
Deprecated
The following decommissioned endpoints were removed from the Developers Portal and added to the API endpoints removed list.
POST merchants/v1/merchants/{merchantId}/transactionsPOST merchants/v1/merchants/{merchantId}/reversal-transactions
Transactions
Updated
The currency_code field was added to the response and the associated payload example in the List advancement request settled endpoint.
Lending
Updated
Restructured and rewrote all the guides in the Lending section to document v2 endpoints, improve clarity, and help users better find the information they need.
Updated
All Lending v2 endpoints now have the “Beta” indicator removed.
Updated
Events related to Lending API v1 were removed from the Developers Portal.
Updated
You can now summarize loans using the summarizeLoans query parameter for the List account loans endpoint. In the response, you get the corresponding aggregated loan_summary data.
Docs
The Book loan endpoint was updated to point to the event that is emitted, Platform authorization created.
Docs
Descriptions for arrays in the following Lending API endpoints were updated to start with “List of.”
- Get loan
- List account loans
- List loans
- Get loan product
- List loan products
- Create loan product
- Update loan product
- Create prepayment record
- Create repayment hierarchy
- Get repayment hierarchy
Docs
The description of the stop_accrual_number_of_days field was updated across the Lending API documentation to clarify how delinquency-related charges accrue after a payment becomes overdue and when new penalty charges stop posting.
Docs
The Book loan Lending API endpoint has been updated to point to the event that is emitted, Platform authorization created.
Control Center
Updated
The OpenID Connect and Permission groups features were updated in Control Center.
- All new OIDC authentication configurations must now have at least one permission group applied to them.
- When creating a configuration, there is no longer a distinction between Standard and Third-Party configurations. You create a configuration and apply it to your specific use case.
Updated
The dual approval feature was updated in Control Center. You can now request Pismo to enable dual approval for editing card information and reissuing a card.
Docs
The Manage loans in Control Center guide was updated to align with Pismo documentation and style standards.
Docs
In Accounts overview > Account views, the Loans bullet was added to highlight the new lending functionality in Control Center.
Docs
The Access keys guide title was updated to match the Control Center menu user interface.
Docs
The browser requirements were clarified in the Sign on to Control Center guide.
Docs
The Card information guide was updated to maintain style consistency and standards throughout the portal.